Bug 485107 - Cannot execute spamc from procmail
Cannot execute spamc from procmail
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 11:41 EST by Orion Poplawski
Modified: 2012-10-03 10:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-02-11 11:41:08 EST
Description of problem:

Testing out selinux-policy-2.4.6-209.el5.  Get the following:

type=AVC msg=audit(1234370173.618:605631): avc:  denied  { getattr } for  pid=1241 comm="sh" path="/usr/bin/spamc" dev=dm-4 ino=161416 scontext=user_u:system_r:procmail_t:s0 tcontext=system_u:object_r:spamc_exec_t:s0 tclass=file
type=AVC msg=audit(1234370217.606:605666): avc:  denied  { execute } for  pid=1291 comm="procmail" name="spamc" dev=dm-4 ino=161416 scontext=user_u:system_r:procmail_t:s0 tcontext=system_u:object_r:spamc_exec_t:s0 tclass=file
type=AVC msg=audit(1234370217.606:605666): avc:  denied  { execute_no_trans } for  pid=1291 comm="procmail" path="/usr/bin/spamc" dev=dm-4 ino=161416 scontext=user_u:system_r:procmail_t:s0 tcontext=system_u:object_r:spamc_exec_t:s0 tclass=file
type=AVC msg=audit(1234370217.606:605666): avc:  denied  { read } for  pid=1291 comm="procmail" path="/usr/bin/spamc" dev=dm-4 ino=161416 scontext=user_u:system_r:procmail_t:s0 tcontext=system_u:object_r:spamc_exec_t:s0 tclass=file

we run spamc from individual's .procmailrc files.
Comment 1 Daniel Walsh 2009-02-12 09:52:06 EST
Fixed in selinux-policy-2.4.6-211.el5
Comment 9 Daniel Walsh 2009-04-08 12:41:00 EDT
ok i added fix in selinux-policy-2.4.6-222.el5
Comment 10 Orion Poplawski 2009-04-17 15:44:25 EDT
Confirmed.  Thanks!
Comment 13 errata-xmlrpc 2009-09-02 03:59:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1242.html

Note You need to log in before you can comment on or make changes to this bug.